# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "net-ping"
  s.version = "2.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Chris Chernesky"]
  s.date = "2016-08-08"
  s.description = "    The net-ping library provides a ping interface for Ruby. It includes\n    separate TCP, HTTP, LDAP, ICMP, UDP, WMI (for Windows) and external ping\n    classes.\n"
  s.email = "chris.netping@tinderglow.com"
  s.extra_rdoc_files = ["README.md", "CHANGES", "doc/ping.txt"]
  s.files = ["CHANGES", "Gemfile", "Gemfile.lock", "MANIFEST", "README.md", "Rakefile", "doc/ping.txt", "examples/example_pingexternal.rb", "examples/example_pinghttp.rb", "examples/example_pingtcp.rb", "examples/example_pingudp.rb", "lib/net/ping.rb", "lib/net/ping/external.rb", "lib/net/ping/http.rb", "lib/net/ping/icmp.rb", "lib/net/ping/ping.rb", "lib/net/ping/tcp.rb", "lib/net/ping/udp.rb", "lib/net/ping/wmi.rb", "net-ping.gemspec", "test/test_net_ping.rb", "test/test_net_ping_external.rb", "test/test_net_ping_http.rb", "test/test_net_ping_icmp.rb", "test/test_net_ping_tcp.rb", "test/test_net_ping_udp.rb", "test/test_net_ping_wmi.rb"]
  s.homepage = "https://github.com/chernesk/net-ping"
  s.licenses = ["Artistic 2.0"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubygems_version = "2.0.14.1"
  s.summary = "A ping interface for Ruby."
  s.test_files = ["test/test_net_ping.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<test-unit>, ["~> 0"])
      s.add_development_dependency(%q<fakeweb>, ["~> 0"])
      s.add_development_dependency(%q<rake>, ["~> 0"])
    else
      s.add_dependency(%q<test-unit>, ["~> 0"])
      s.add_dependency(%q<fakeweb>, ["~> 0"])
      s.add_dependency(%q<rake>, ["~> 0"])
    end
  else
    s.add_dependency(%q<test-unit>, ["~> 0"])
    s.add_dependency(%q<fakeweb>, ["~> 0"])
    s.add_dependency(%q<rake>, ["~> 0"])
  end
end

